# Tux money box for 3D printing


 
This is a 3d model of the Linux mascot Tux. It is designed as a moneybox, but can be also rendered as a simple figure. The size can be adjusted. This model is written with OpenSCAD and is based on the [runeman](runeman.org/3d/tux) model.

 <img align="right" width="200" alt="Tux money box Openscad image" src="images/tux_openscad.png">

 <img align="center" width="500" alt="Finished painted Tux." src="images/tux-final.JPG">

## Parameters

With the following parameter ``renderer`` you can choose which object you want to render.

 
| renderer   | Options         | Description                                                                                 |
| -----    | ------          | -----------                                                                                 |
| Tux      | height           | Print the Tux as a figure with the given height                                                     |
| moneybox | height, currency | Print the Tux as a moneybox for given currency. Actually supported (Euro, Sterling, Dollar) |
| lock     | height           | This is for printing the moneybox lock.                                                     |

## ToDo

- Redesign the Head of the Tux
- Improve the lock

# Tux Spardose für den 3D Drucker
Dieses 3D Tux Modell ist mit Openscad erstellt und modular aufgebaut. Der Tux lässt sich in seiner Größe variieren und kann als Figur oder Spardose gerendert werden. Als Vorlage für dieses Modell diente das Modell von [runeman](runeman.org/3d/tux).

## Parameter

Über den Parameter Renderer bestimmst du welches Objekt gerendert wird:

| Modell   | Options         | Description                                                                                 |
| -----    | ------          | -----------                                                                                 |
| Tux      | height           | Der Tux als Figur in gegebener Höhe.                                              |
| moneybox | height, currency | Render den Tux in gegebener Größe. Aktuell können die Währungen Euro, Sterling und Dollar gewählt werden. |
| lock     | height           |  Der Verschluss der Spardose.                                |

## ToDo

- Kopfform anpassen
- Verschluss verbessern

